## autogen 5.18.12

=== debian/changelog ===
autogen (1:5.18.12-3) unstable; urgency=medium

  * Add ${perl:Depends} to autogen's Depends. (Thanks, Paul Hardy!)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 30 Oct 2016 13:24:25 +0100

autogen (1:5.18.12-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 17 Sep 2016 16:33:27 +0200

autogen (1:5.18.12-1) experimental; urgency=medium

  * New upstream version.
    + Drop 04_crossbuild.diff and 21_test.error.diff.
    + Drop config/misc.def part of 05_cross_pkg_config.diff.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Sep 2016 14:46:08 +0200
