## autogen 5.18.16

=== debian/changelog ===
autogen (1:5.18.16-7build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 25 May 2025 08:15:28 +0200

autogen (1:5.18.16-7) unstable; urgency=medium

  * Revert "Stop labeling autogen Multi-Arch: foreign." for trixie.
    (Closes: #1105138)

 -- Andreas Metzler <ametzler@debian.org>  Thu, 22 May 2025 18:52:45 +0200

autogen (1:5.18.16-6) unstable; urgency=medium

  [ Bastian Germann ]
  * Fix binaries-have-file-conflict for autoopts.m4 Closes: #1104969
  * Fix mismatched-override spelling-error-in-readme-debian

  [ Andreas Metzler ]
  * Revert noop change in previous NMU. It invoked dpkg-parsechangelog in
    debian/rules instead of using SOURCE_DATE_EPOCH as exported by
    usr/share/dpkg/pkg-info.mk. Both yield the same result.
  * Use mtime of NEWS as manpage date instead of SOURCE_DATE_EPOCH.
    The latter used to be binNMU-invariant but is not anymore.
    (Closes: #1104867)
  * libopts25-dev needs Breaks/Replaces: autogen (<< 1:5.18.16-6)
    (related to 1104969)
  * Stop labeling autogen Multi-Arch: foreign.
    It ships both a pkgconfig file in an arch dependent path and a
    config-script which returns an arch dependent path. (Thanks, lintian)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 May 2025 18:10:49 +0200

autogen (1:5.18.16-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop versioned constraint on tar
  * Record changelog date in manpages (Closes: #1104867)

  [ Andreas Metzler ]
  * Drop ancient (2014 and pre-2008) Breaks/Conflicts/Replaces.

 -- Bastian Germann <bage@debian.org>  Thu, 08 May 2025 20:03:08 +0200

autogen (1:5.18.16-5) unstable; urgency=low

  * Pull a couple of patches from Suse:
    + 40_suse_01-autogen-catch-race-error.patch
    + 40_suse_03-gcc9-fix-wrestrict.patch
    + 40_suse_04-guile-version.patch (allows building against guile-3.0)
    + 40_suse_05-sprintf-overflow.patch
    + 40_suse_06-autogen-avoid-GCC-code-analysis-bug.patch
    + 40_suse_07-installable-programs.patch
  * Build against guile-3.0 Closes: #969697 (Thanks, Vagrant Cascadian)

 -- Andreas Metzler <ametzler@debian.org>  Tue, 24 May 2022 19:13:45 +0200

autogen (1:5.18.16-4) unstable; urgency=low

  * Improved reproducible build on merged /usr system, pass paths for shell
    and grep as arguments to ./configure. (Thanks, Vagrant Cascadian)
    Closes: #950410
  * [lintian] Drop DEB_LDFLAGS_MAINT_APPEND -Wl,--as-needed, default behavior
    in bullseye toolchain.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 25 Apr 2020 17:55:37 +0200

autogen (1:5.18.16-3) unstable; urgency=medium

  * Fix cross build.
    + 30_ag_macros.m4_syntax_error.diff
    + 31_allow_overriding_AGexe_for_crossbuild.diff
    (Report and patches by Helmut Grohne - Thanks!)
    Closes: #941025
  * [lintian] Fix syntax errors in debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Oct 2019 14:46:05 +0200

autogen (1:5.18.16-2) unstable; urgency=low

  * Set Rules-Requires-Root: no.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 Sep 2019 11:09:39 +0200

autogen (1:5.18.16-1) experimental; urgency=low

  [ Andreas Metzler ]
  * [lintian] Fix syntax errors in debian/copyright.
    (dep5-copyright-license-name-not-unique).
  * New upstream version.
    + Drop 05_cross_pkg_config.diff.
    + Refresh 10_libopts_tarball_perms.diff.
    + 20_no_Werror.diff: Disable building with -Werror.
  * Add new upstream signing key
    3EEE51D1355B8EC40D9F3122495143D05D0712D1.
  * Build against guile-2.2. Closes: #885189
  * Delete rpath setting from binaries. (lintian
    binary-or-shlib-defines-rpath)
  * [lintian] Delete trailing empty lines in changelog.
  * Use dh compat 12.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Sep 2019 14:44:07 +0200

autogen (1:5.18.12-4) unstable; urgency=medium

  * Repository moved to salsa.
  * [lintian] Drop trailing whitespace in debian/changelog.
  * Use dh compat v10.
  * Use dh_missing --fail-missing instead of dh_install --fail-missing.
  * Point homepage and download location (including watch file) to https URL.
  * [lintian] Stop invoking dpkg-parsechangelog in debian/rules, use
    /usr/share/dpkg/pkg-info.mk.
  * Add lintian override for duplicate words in README.Debian.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Jan 2018 16:07:28 +0100
