=== debian/control ===
--- 
+++ 
@@ -2,21 +2,19 @@
 Section: devel
 Priority: optional
 Maintainer: Andreas Metzler <ametzler@debian.org>
-Build-Depends: autotools-dev,
- debhelper (>= 9.20141010),
- dh-autoreconf,
- dpkg-dev (>= 1.17.14),
+Build-Depends: chrpath,
+ debhelper-compat (= 12),
  gperf,
- guile-2.0-dev (>= 2.0.11+1-0),
+ guile-3.0-dev,
  libxml2-dev,
  pkg-config,
- tar (>= 1.28),
  autogen <cross>
 Build-Depends-Indep: texinfo, texlive, cm-super-minimal
-Standards-Version: 3.9.8
-Homepage: http://www.gnu.org/software/autogen/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/autogen.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/autogen.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.gnu.org/software/autogen/
+Vcs-Git: https://salsa.debian.org/debian/autogen.git
+Vcs-Browser: https://salsa.debian.org/debian/autogen
 
 Package: autogen
 Architecture: any
@@ -41,10 +39,9 @@
 
 Package: autogen-doc
 Section: doc
-Breaks: autogen (<< 1:5.18.3-4)
-Replaces: autogen (<< 1:5.18.3-4)
 Depends: ${misc:Depends}
 Architecture: all
+Multi-Arch: foreign
 Description: automated text file generator - documentation
  AutoGen is a tool designed for generating program files that contain
  repetitive text with varied substitutions. This is especially valuable if
@@ -56,7 +53,6 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: autogen
 Section: libs
 Multi-Arch: same
 Description: automated option processing library based on autogen
@@ -69,8 +65,8 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libopts25 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libopts9-dev
-Replaces: autogen, libopts9-dev
+Breaks: autogen (<< 1:5.18.16-6)
+Replaces: autogen (<< 1:5.18.16-6)
 Section: libdevel
 Multi-Arch: same
 Description: automated option processing library based on autogen
